Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex
Class SmTokenTableEntry

    java.lang.Object
      writer2latex.latex.SmTokenTableEntry

     class SmTokenTableEntry

extends java.lang.Object

Field Summary
`(package private) TGroup` | `eGroup1`
`(package private) TGroup` | `eGroup2`
`(package private) Token` | `eType`
`(package private) int` | `nLevel`
`(package private) java.lang.String` | `sIdent`
`(package private) java.lang.String` | `sLaTeX`

Constructor Summary
`SmTokenTableEntry(java.lang.String sIdent, Token eType, java.lang.String sLaTeX, int nLevel)`
`SmTokenTableEntry(java.lang.String sIdent, Token eType, java.lang.String sLaTeX, TGroup eGroup1, int nLevel)`
`SmTokenTableEntry(java.lang.String sIdent, Token eType, java.lang.String sLaTeX, TGroup eGroup1, TGroup eGroup2, int nLevel)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sIdent

    java.lang.String sIdent

### eType

    Token eType

### sLaTeX

    java.lang.String sLaTeX

### eGroup1

    TGroup eGroup1

### eGroup2

    TGroup eGroup2

### nLevel

    int nLevel

Constructor Detail

### SmTokenTableEntry

    SmTokenTableEntry(java.lang.String sIdent,
                      Token eType,
                      java.lang.String sLaTeX,
                      TGroup eGroup1,
                      TGroup eGroup2,
                      int nLevel)

### SmTokenTableEntry

    SmTokenTableEntry(java.lang.String sIdent,
                      Token eType,
                      java.lang.String sLaTeX,
                      TGroup eGroup1,
                      int nLevel)

### SmTokenTableEntry

    SmTokenTableEntry(java.lang.String sIdent,
                      Token eType,
                      java.lang.String sLaTeX,
                      int nLevel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD